
server {
    listen      80;
    listen      [::]:80;
    server_name localhost;

    location /first/ {
        proxy_pass       http://first:8080/;
        proxy_set_header Host      $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-Proto $scheme;
        proxy_set_header X-Forwarded-Prefix /test;
    }

    location /second/ {
        proxy_pass       http://second:8080/;
        proxy_set_header Host      $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-Proto $scheme;
        proxy_set_header X-Forwarded-Prefix /admin;
    }
}
